CREATE TABLE IF NOT EXISTS `soldierLotteryState`  (
    `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID既彩票ID',
    `finish` int(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否已经开奖，0否，1是',
    PRIMARY KEY (`id`)
);
CREATE TABLE IF NOT EXISTS `soldierLotteryPlayer`  (
    `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增ID',
    `player` int UNSIGNED NOT NULL COMMENT '玩家UID',
    `lottery` int(10) NOT NULL COMMENT '彩票ID',
    `number` int(10) NOT NULL COMMENT '玩家持有的彩票号码',
    PRIMARY KEY (`id`),
    INDEX `lottery`(`lottery`) USING BTREE COMMENT '彩票id索引',
    INDEX `player`(`player`) USING BTREE COMMENT '玩家uid索引'
);

# 增加索引
ALTER TABLE `soldierLotteryPlayer`
    ADD UNIQUE INDEX `lottery_number`(`lottery`, `number`) USING BTREE COMMENT '彩票id和彩票号码的索引';